package model;

public class Case {
    int idCase;
    int coordX;
    int coordY;
    boolean isStart;
    boolean isEnd;

    public Case(int idCase, int coordX, int coordY, boolean isStart, boolean isEnd) {
        this.idCase = idCase;
        this.coordX = coordX;
        this.coordY = coordY;
        this.isStart = isStart;
        this.isEnd = isEnd;
    }

    public int getIdCase() {
        return idCase;
    }

    public int getCoordX() {
        return coordX;
    }

    public int getCoordY() {
        return coordY;
    }

    public boolean isStart() {
        return isStart;
    }

    public boolean isEnd() {
        return isEnd;
    }

    public void setIdCase(int idCase) {
        this.idCase = idCase;
    }

    public void setCoordX(int coordX) {
        this.coordX = coordX;
    }

    public void setCoordY(int coordY) {
        this.coordY = coordY;
    }

    public void setStart(boolean start) {
        isStart = start;
    }

    public void setEnd(boolean end) {
        isEnd = end;
    }
}
